CVE-2021-20307

NameCVE-2021-20307
DescriptionFormat string vulnerability in panoFileOutputNamesCreate() in libpano13 2.9.20~rc2+dfsg-3 and earlier can lead to read and write arbitrary memory values.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2624-1
NVD severityhigh
Debian Bugs985249

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libpano13 (PTS)stretch2.9.19+dfsg-2vulnerable
stretch (security)2.9.19+dfsg-2+deb9u1fixed
buster2.9.19+dfsg-3+deb10u1fixed
bookworm, sid, bullseye2.9.20~rc3+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libpano13sourcestretch2.9.19+dfsg-2+deb9u1DLA-2624-1
libpano13sourcebuster2.9.19+dfsg-3+deb10u1
libpano13source(unstable)2.9.20~rc3+dfsg-1985249

Notes

https://sourceforge.net/projects/panotools/files/libpano13/libpano13-2.9.20/

Search for package or bug name: Reporting problems